using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media;

namespace HBLConsole.Converter
{
    internal class NetworkColorConvert : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            SolidColorBrush returnValue = new SolidColorBrush(Color.FromArgb(255, 0, 204, 255));
            if ((bool)value)
                returnValue = new SolidColorBrush(Color.FromArgb(255, 0, 128, 0));
            else
                returnValue = new SolidColorBrush(Color.FromArgb(255, 255, 23, 0));
            return returnValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
